<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema
    xmlns:xsd="http://www.w3.org/2001/XMLSchema"
    xmlns="http://www.ote-cr.cz/schema/remit/request"
    xmlns:ote="http://www.ote-cr.cz/schema/globals"
    targetNamespace="http://www.ote-cr.cz/schema/remit/request"
    elementFormDefault="qualified"
    attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="ote_globals.xsd"/>
	<xsd:simpleType name="MarketType">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Typ trhu</xsd:documentation>
			<xsd:documentation xml:lang="EN">Market type</xsd:documentation>
		</xsd:annotation>
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="DM">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Denní trh</xsd:documentation>
					<xsd:documentation xml:lang="EN">Day ahead market</xsd:documentation>
				</xsd:annotation>
			</xsd:enumeration>
			<xsd:enumeration value="IDA">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Vnitrodenní aukce</xsd:documentation>
					<xsd:documentation xml:lang="EN">Intrady auctiuon</xsd:documentation>
				</xsd:annotation>
			</xsd:enumeration>
			<xsd:enumeration value="IM">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Vnitrodenní trh</xsd:documentation>
					<xsd:documentation xml:lang="EN">Intrady market</xsd:documentation>
				</xsd:annotation>
			</xsd:enumeration>
			<xsd:enumeration value="IMG">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Vnitrodenní trh s plynem</xsd:documentation>
					<xsd:documentation xml:lang="EN">Intraday Gas market</xsd:documentation>
				</xsd:annotation>
			</xsd:enumeration>
		</xsd:restriction>
	</xsd:simpleType>
	<!-- Root element -->
	<xsd:element name="REMITOTEREQ">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="cs">Identifikace odesílatele.</xsd:documentation>
						<xsd:documentation xml:lang="en">Sender identification.</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="cs">Identifikace příjemce.</xsd:documentation>
						<xsd:documentation xml:lang="en">Receiver identification.</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Batch">
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element name="tradeDay" type="xsd:date">
								<xsd:annotation>
									<xsd:documentation xml:lang="cs">Den dodávky.</xsd:documentation>
									<xsd:documentation xml:lang="en">Trade day.</xsd:documentation>
								</xsd:annotation>
							</xsd:element>
							<xsd:element name="batchId" minOccurs="0">
								<xsd:annotation>
									<xsd:documentation xml:lang="cs">ID dávky (max 18 číslic).</xsd:documentation>
									<xsd:documentation xml:lang="en">Batch ID (max 18 digits).</xsd:documentation>
								</xsd:annotation>
								<xsd:simpleType>
									<xsd:restriction base="xsd:string">
										<xsd:pattern value="\d{1,18}"/>
									</xsd:restriction>
								</xsd:simpleType>
							</xsd:element>
							<xsd:element name="market" type="MarketType" minOccurs="0"/>
						</xsd:sequence>
					</xsd:complexType>
				</xsd:element>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Kód zprávy upřesňující obsah zprávy.</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message code specifying the message content.</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="R11">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na dávky REMIT.</xsd:documentation>
								<xsd:documentation xml:lang="EN">REMIT batches request.</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="R21">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na záznamy REMIT.</xsd:documentation>
								<xsd:documentation xml:lang="EN">REMIT records request.</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>